Last Comment Bug 620132 - [Mac Default] - Style the bookmarks arrow panel
: [Mac Default] - Style the bookmarks arrow panel
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on: 590105
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-18 10:26 PST by Stefan [:stefanh]
Modified: 2011-01-11 00:35 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WIP (18.12 KB, patch)
2010-12-18 10:31 PST, Stefan [:stefanh]
no flags Details | Diff | Splinter Review
WIP2 (20.61 KB, patch)
2010-12-18 16:38 PST, Stefan [:stefanh]
no flags Details | Diff | Splinter Review
v1.0 (19.80 KB, patch)
2010-12-19 15:43 PST, Stefan [:stefanh]
no flags Details | Diff | Splinter Review
v1.0 for real (18.97 KB, patch)
2010-12-19 15:52 PST, Stefan [:stefanh]
mnyromyr: review+
Details | Diff | Splinter Review
screenshots, before and after (87.95 KB, image/png)
2010-12-19 16:04 PST, Stefan [:stefanh]
no flags Details

Description Stefan [:stefanh] 2010-12-18 10:26:36 PST
The bookmarks panel was turned into an arrow panel in bug 590105. We need to style this panel properly on mac.
Comment 1 Stefan [:stefanh] 2010-12-18 10:31:08 PST
Created attachment 498522 [details] [diff] [review]
WIP

This is all styling that's needed - ported from firefox. The only thing I've changed is some code-wise styling (also note that firefox uses pre-defined stuff in shared.inc which I had to excerpt)
Comment 2 Stefan [:stefanh] 2010-12-18 16:38:09 PST
Created attachment 498556 [details] [diff] [review]
WIP2

Fixed some indentation, added html namespace & credits
Comment 3 Stefan [:stefanh] 2010-12-18 16:39:34 PST
jftr, our star icons doesn't really fit here and we should have a larger icon in the panel imo.
Comment 4 Stefan [:stefanh] 2010-12-19 15:43:13 PST
Created attachment 498652 [details] [diff] [review]
v1.0

OK, so this is ready now. This is basically a straight port from Firefox's browser.css, main differences are:

- removed a lot of unneeded important rules (the ones that are left are needed)
- slightly different structure, elements with the same rules are put together (e.g hover:active, focus etc), I omitted the navigator-specific ones, since I think it's better to have them separate from a maintenance pow.

browser.css can btw probably live without the sorting, because they have shared.inc where they put the common rules.

Oh, then I discovered that our placeholder isn't set on the tags field - it almost got me mad, because I first thought that some style rule was wrong.

The focus ring on the +-button isn't 100% right, but it looks like that in FF as well and I haven't been able to fins out what's happening.
Comment 5 Stefan [:stefanh] 2010-12-19 15:52:44 PST
Created attachment 498655 [details] [diff] [review]
v1.0 for real

Whoops, forgot that I had a little hack in there - this one should be the right one.
Comment 6 Stefan [:stefanh] 2010-12-19 16:04:13 PST
Created attachment 498656 [details]
screenshots, before and after
Comment 7 Robert Kaiser 2010-12-19 16:10:00 PST
This is nice, could you file a bug to have this done for non-Mac as well? We're missing a similar set of rules in the normal default theme files.
Comment 8 Stefan [:stefanh] 2010-12-20 10:04:20 PST
(In reply to comment #7)
> This is nice, could you file a bug to have this done for non-Mac as well? We're
> missing a similar set of rules in the normal default theme files.

Filed bug 620417.
Comment 9 Karsten Düsterloh 2010-12-26 14:30:48 PST
Comment on attachment 498655 [details] [diff] [review]
v1.0 for real

Nice!
But the "New Folder" button should have a tooltip - I involuntarily added a new folder to my bookmarks (which I couldn't even delete in that dialog!), because the function of that [+] is totally non-obvious.

r=me with that.
Comment 10 Stefan [:stefanh] 2010-12-27 10:30:45 PST
Landed with tooltip "Create new folder":
http://hg.mozilla.org/comm-central/rev/2a2a7ccd36dc

Note You need to log in before you can comment on or make changes to this bug.